{% extends 'page--account.html.twig' %}

{% block main %}
  {% if logged_in %}
    {{ attach_library('diamondcbd/account') }}
    {{ attach_library('diamondcbd/checkout') }}

    {% set local_tasks_block_name = current_theme ~ '_local_tasks' %}
    {% set account_title = page['#title'] %}
    {% set local_tasks = drupal_block('local_tasks_block') %}

    <div class="account__mobile-menu d-lg-none">
      <button
        class="collapsed d-flex align-items-center"
        type="button"
        data-animation="true" data-bs-toggle="collapse"
        data-bs-target="#collapseMenu" aria-expanded="false"
        aria-controls="collapseMenu">
        {% if user.account.name == account_title %}
          {{ 'My Dashboard'|t }}
        {% elseif 'order' in account_title|render %}
          {{ 'My Orders'|t }}
        {% else %}
          {{ account_title }}
        {% endif %}
        <i class="icon icon--select-icon d-lg-none"></i>
      </button>

      <div class="account__mobile-menu-content collapse d-lg-block"
           id="collapseMenu">
        <nav class="account__menu">
          {{ drupal_block('local_tasks_by_route', {route_name: local_tasks_route|default }) }}
        </nav>
      </div>
    </div>
    <div class="account container">
      <div class="account__content row">
        <div
          class="col-12 col-lg-3 pe-lg-4 account__content-left d-none d-lg-block">
          <nav class="account__menu">
            {{ drupal_block('local_tasks_by_route', {route_name: local_tasks_route|default }) }}
          </nav>
        </div>

        <div class="col-12 col-lg-9 account__content-right">
          {% block back_button %}
          {% endblock %}

          {% block page_user_title %}
          {# page title #}
          {% set account_title = page['#title'] %}

          {% if 'order' in account_title|render or account_title|render is empty %}
          <div class="account__content-title d-none">
            {% else %}
            <div class="account__content-title d-none d-lg-block">
              {% endif %}
              {% if user.account.name == account_title %}
                <h3>{{ 'My Dashboard'|t }}</h3>
              {% else %}
                <h3>{{ account_title }}</h3>
              {% endif %}
            </div>
            {% endblock %}

            {# user account content #}
            {{ page.content|without(local_tasks_block_name) }}

          </div>
        </div>
      </div>
    </div>
  {% else %}
    {{ page.content }}
  {% endif %}
{% endblock %}
